export declare class ScImageSlider {
  private swiperThumbsRef?;
  private swiperContainerRef?;
  private previous;
  private next;
  private swiper;
  private thumbsSwiper;
  images: {
    src: string;
    alt: string;
    srcset: any;
    width: number;
  }[];
  thumbnails: {
    src: string;
    alt: string;
    srcset: any;
    width: number;
  }[];
  hasThumbnails: boolean;
  thumbnailsPerPage: number;
  /** Current Slide Index */
  currentSliderIndex: number;
  handleThumbPaginate(): void;
  componentDidLoad(): void;
  disconnectedCallback(): void;
  render(): any;
}
